#!/bin/bash
# Change it for your configuration
SERVER=localhost
USER=netstat
PASSWORD='aRv3^he$k('
DATABASE=netstat
TABLE=netstat

cd $1
trap "" SIGINT
echo "Script started!" >>error.log
while true
do
	date >>error.log
	echo "accountstat started" >>error.log
	accountstat "$SERVER" "$USER" "$PASSWORD" "$DATABASE" "$TABLE" >>sql.log 2>>error.log &
	pid=$!
	trap "kill -s TERM $pid ; exit" SIGTERM
	wait $pid
	rc=$?
	date >>error.log
	echo "accountstat exited with rc = $rc" >>error.log
	if [ $rc = 255 ]
	then
		if ! as_echo_insert "$TABLE" >>sql.log 2>>error.log
		then
			echo "as_echo_insert exited with rc = $?" >>error.log
		fi
	fi
	sleep 60 &
	pid=$!
	trap "kill -s TERM $pid ; exit" SIGTERM
	wait $pid
done
